Create an asset.

Use this endpoint to create an asset. There are two ways to use this endpoint. The first method is to create a resource separately, then provide the resource id in the json body of the request along with any other desired data. The second method is to provide resource binary as a multipart field. Another multipart field containing any additional data can then be optionally provided. The second method allows the asset and resource to be created simultaneously. Note:- If AI tag analysis is enabled, it starts in the background. AI analyzes and provides tag recommendations for the asset that is created.

Method 1 (Create asset and resource separately):

Create the resource

See POST /resource for details on how to create a resource.

Create the asset

Create an asset by providing the resource id obtained from the previous step. Additional data about the asset can also be optionally provided. If an asset exists in the specified path, it is overwritten. The path that you provide must contain a leading slash. The path and name fields are optional and are generated from the resource’s name by default.

Example request body:

  {
    "resource": "8d21025d21e7b3595cbf630fb9d7212b",
    "path": "/Screen Shot 2016-05-11 at 6.52.22 PM",
    "description": "Screenshot",
    "name": "Important screenshot",
    "tags": {
      "values": [
        "screenshot"
      ]
    },
    "status": "draft"
  }

Method 2 (Create asset and resource simultaneously):

Set the Content-Type header

Set the Content-Type header to 'multipart/form-data'.

Set the 'resource' field on the multipart form

The resource field on the multipart form should contain your resource binary. The following headers are required on this form part:

  1. Content-Type header specifying the format of the resource.
  2. The filename field on the Content-Disposition header of this form part specifying the resource name.

Set the 'data' field on the multipart form (optional)

Additional data about the asset can be optionally provided. If an asset exists in the specified path, it is overwritten. The path that you provide must contain a leading slash. The path and name fields are optional and are generated from the resource’s name by default.

Example value in field:

  {
    "path": "/Screen Shot 2016-05-11 at 6.52.22 PM",
    "description": "Screenshot",
    "name": "Important screenshot",
    "tags": {
      "values": [
        "screenshot"
      ]
    },
    "status": "draft"
  }

Create the asset and resource

Create the asset and resource simultaneously by posting the form.


User roles: admin, manager, editor

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Provide the Base64 encoded MD5 checksum of the resource. This is only used when creating the asset and resource simultaneously.

fields
array of strings

Only the asset fields that are specified here are returned for each result. Any asset field is a valid value and these can be specified in a comma-separated list. For example, to list the asset fields name and ID, provide the value ID, and name. All asset fields are returned by default.

fields
include
array of strings

Optional: Parameters used to include additional fields inside each returned asset. Use "links" to include the links section, which contains URLs for actions that can be performed on the asset. Use "metadata" to include additional fields for each of the items referenced by the asset You can specify multiple fields as a comma-separated value. For example, "include=links,metadata".

include
boolean

Set the analyze parameter to true to enable the AI tag analysis. Analysis will only occur for managed assets.

boolean

Set the autocurate parameter to true automatically curate and accept all suggested tags.

Body Params

Provide all the data that is needed to create a new asset. This is only required when creating an asset and resource separately. The resource id is required. If an asset exists in the specified path, it is overwritten. The path that you provide must contain a leading slash. The path and name fields are optional and are generated from the resource’s name by default.

string
required

The id of the resource this asset is for

string

Name of the asset

string

The path to this asset, must begin with a leading slash. A unique constraint is placed on this path so that no other asset can have the same path. Paths begining with "/dxdam/" are managed assets.

string

Description of the asset

tags
object

The "values" array defines the user selected tags. The other two properties "declined" and "suggested" relate directly to the interaction with the cognitive analysis feature.

string

The id of the asset to create

categoryIds
array of strings

The IDs of the categories that define how this asset is categorized.

categoryIds
string
enum

The workflow status of the asset. This value can only be set for managed assets.

Allowed:
Headers
string
enum

Specify now to bypass the publishing schedule. Specify next to use publishing schedule.

Allowed:
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json